#
# This is a sample file with a description of all Backup
# Set variables. Use it as a template for your Backup Sets.
#
# File has a very simple format:
# - Lines with first symbol # are comments. 
# - All lines with variables have format: "variable_name = variable_value".
#
# Do not change "variable_name". You can change only "variable_value" part.


##########################################################
#
# What to backup.
#	These variables specify a list of all source files to backup
#
# Example: 
#	Include all files from /usr without files
# 	from /usr/bin and without all *.h and *.cpp files:
# INCLUDE_FILES1=1 /usr/&*&*.h;*.cpp
# EXCLUDE_FILES1=1 /usr/bin&*&*.h;*.cpp
##########################################################

INCLUDE_FILES1=
EXCLUDE_FILES1=


##########################################################
#
# Backup properties
#
##########################################################

# Backup mode.
#  Software has 2 backup modes:
#  1. Normal backup mode - Sftware backs up entire changed files.
#  2. Patch backup mode - Software backs up only changes you have made within files since previous backup.
#
# NOTE FOR PATCH MODE: To perform successful restore you MUST have all backup archives!
#
# To enable a patch backup mode for this Backup Set type 1, otherwise 0.
IS_PATCH_MODE=0


# When Software finds a soft link, it backs up only name
# of the file a link points on. If you want to backup also
# the file a link points on, set 1, otherwise 0.
RESOLVE_LINKS=0


##########################################################
#
# Where to backup (backup storage)
#
##########################################################
# Type of backup storage:
# 1. ZIP_FILE - backup to a standard zip file.
# 2. REMOVABLE - backup to any disk directory.
# 3. FTP - backup on an FTP Server.
# 4. TAPE - backup on a tape deice
STORAGE_TYPE=REMOVABLE


# If STORAGE_TYPE = ZIP_FILE, Software backs up to a standard zip file
# with the below name is set here.
ZIP_ARCHIVE=/backup_directory/archive_filename.zip


# If STORAGE_TYPE = REMOVABLE, Software backs up to the folder:
REMOVABLE_FOLDER=/mnt/backup/

# If STORAGE_TYPE = FTP, Software uses these variables to connect to FTP
#  Server. FTP User must have permissions to create, upload and delete files
#  and folders on a FTP Server.
FTP_ADDRESS=ftp.server.com
FTP_PORT=21
FTP_USERNAME=username
FTP_PASSWORD=password

# If STORAGE_TYPE = TAPE, Software backs up on a tape device:
TAPE_DEVICE=/dev/tape

##########################################################
#
# Software can start external commands before and after backup and each
# file. Each command has a number (after common prefix) that
# sorts the list. There can't be holes between numbers.
# You can specify few variables:
# 1. "$(LF)"- name of the unique log file. Software deletes it by itself.
# 2. "$(FilesList)" - file with list of files to backup
# 3. "$(TYPE)" - backup type: "inc" or "full"
#
# There is a special command:
# 1. $(AddToLog) file_name - add content of the file to the backup log.
#
# Examples:
# BEFORE_BACKUP_COMMAND1 = /bin/cat some_file > $(LF)
##########################################################

# List of commands, which will be executed before any work. Just after process startup.
#STARTUP_COMMAND1 = 

# List of commands, which will be executed before backup. When list of files to backup is ready.
#BEFORE_BACKUP_COMMAND1 = 

# List of commands, which will be executed after backup.
#AFTER_BACKUP_COMMAND1 =

# List of commands, which will be executed before backup of each file.
#BEFORE_FILE_COMMAND1 = 

# List of commands, which will be executed after backup of each file.
#AFTER_FILE_COMMAND1 =
